Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7017 - key-repeat on/off broken for individual keys
Summary: key-repeat on/off broken for individual keys
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-15 16:10 UTC by mordibity
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 16:12:15 UTC


Attachments (Terms of Use)

Description mordibity 1999-11-15 16:10:39 UTC
[I've asked this question on linux.com, and posted it to
comp.os.linux.x,comp.os.linux.hardware,comp.os.linux.x,
and redhat.x.general.  I've run out of options other than to
submit this bug report.]

I'm running a stock RedHat 6.0/x86 with Enlightenment .15.5.
Try as I might, I cannot get "xset -r <keycode>" to work. I can
globally enable/disable key-repeat using "xset r on" and "xset r
off", but setting individual keycodes (obtained from "xmodmap -pke")
has no effect.

Actually, I can tell that *something* is happening, by
examining the results of "xset -q" before and after:

$ xset -q
Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
auto repeat delay:  500    repeat rate:  5
  auto repeating keys:  00ffffffdffffbbf
                        fa9fffffffdffdff
                        7f00000000000000
                        0000000000000000

$ xmodmap -pke | while read foo key foo ; do xset -r $key ; done
$ xset -q
Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
auto repeat delay:  500    repeat rate:  5
  auto repeating keys:  0000000000000000
                        0000000000000000
                        0000000000000000
                        0000000000000000


All this, and the X-server seems to be completely ignoring
the auto_repeats key mask.  I've checked my BIOS; no luck.
I've even tried switching my keyboard (M$Natural) for a stock
Dell QuietKey; no luck.

Any ideas?  Is this an XFree86 problem?  A RedHat problem?
A Linux problem?  A hardware problem?  If anyone can shed
some light, I'd greatly appreciate it.

Thanks,
Rand.

Comment 1 Preston Brown 2000-01-18 16:12:59 UTC
xset -r was not implemented in XFree86 until 3.3.6, which is available now in
our rawhide tree, or sometime in the future as an errata for RHL 6.x.

Comment 2 Need Real Name 2000-12-06 08:35:37 UTC
I checked it on both XFree86 3.3.6-20j1 of RH6.2J (Japanese version) and XFree86
4.0.1-1 of RH7J, but this problem still exists.


Note You need to log in before you can comment on or make changes to this bug.